Subject: Re: [PATCH 2/2] wrapper: use trace2 counters to collect fsync stats

From: Junio C Hamano <[email-masked]>
Date: Wed, 19 Jul 2023 17:12:57 -0700

Beat Bolli <[email-masked]> writes:

> As mentioned in the subthread starting at [1], trace2 counters should be
> used to count events instead of ad-hoc static variables.
>
> Convert the static variables that count fsync calls to trace2 counters,
> reducing the coupling between wrapper.c and the trace2 subsystem.
>
> The counters are not per-thread because the ones being replaced also
> were not.
>
> [1] https://lore.kernel.org/git/[email-masked]/
>
> Signed-off-by: Beat Bolli <[email-masked]>
> ---
> I have based this series on master, so this patch will create a trivial
> merge conflict with c489f47a649d (refs/packed-backend.c: add trace2
> counters for jump list, 2023-07-10) on next, which also adds a new
> counter.

Thanks for leaving a note.  This one was trivial enough to resolve,
but it is a good discipline to always make trial merges to 'next'
and with other topics in flight.

Did t5351 pass for you with this patch?  Any other test breakages
that the patch needs to also adjust?

Thanks.